/* Base overlay */
.angie-transition-overlay-4c593017 {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 9999999;
    pointer-events: none;
    transition-property: opacity, transform;
    will-change: transform, opacity;
}

/* Type: Fade */
.angie-transition-type-fade {
    background-color: #ffffff;
    opacity: 1;
}
.angie-transition-loaded-4c593017 .angie-transition-type-fade {
    opacity: 0;
}
.angie-page-exiting-4c593017 .angie-transition-type-fade {
    opacity: 1;
}

/* Type: Slide Up */
.angie-transition-type-slide-up {
    background-color: #111111;
    transform: translateY(0);
}
.angie-transition-loaded-4c593017 .angie-transition-type-slide-up {
    transform: translateY(-100%);
}
.angie-page-exiting-4c593017 .angie-transition-type-slide-up {
    transform: translateY(0);
    top: auto;
    bottom: 0;
}

/* Type: Zoom */
.angie-transition-type-zoom {
    background-color: #ffffff;
    opacity: 1;
    transform: scale(1);
}
.angie-transition-loaded-4c593017 .angie-transition-type-zoom {
    opacity: 0;
    transform: scale(1.05);
}
.angie-page-exiting-4c593017 .angie-transition-type-zoom {
    opacity: 1;
    transform: scale(1);
}
body {
    transition: transform;
}
body.angie-page-exiting-4c593017.zoom-body-fx {
    transform: scale(0.98);
}

/* Type: Curtain */
.angie-transition-type-curtain {
    background-color: transparent;
    display: flex;
}
.angie-transition-type-curtain::before,
.angie-transition-type-curtain::after {
    content: '';
    flex: 1;
    background-color: #111111;
    height: 100%;
    transition-property: transform;
    transform: scaleX(1);
    transform-origin: left;
}
.angie-transition-type-curtain::after {
    transform-origin: right;
}
.angie-transition-loaded-4c593017 .angie-transition-type-curtain::before,
.angie-transition-loaded-4c593017 .angie-transition-type-curtain::after {
    transform: scaleX(0);
}
.angie-page-exiting-4c593017 .angie-transition-type-curtain::before,
.angie-transition-loaded-4c593017 .angie-page-exiting-4c593017 .angie-transition-type-curtain::before,
.angie-page-exiting-4c593017 .angie-transition-type-curtain::after,
.angie-transition-loaded-4c593017 .angie-page-exiting-4c593017 .angie-transition-type-curtain::after {
    transform: scaleX(1);
}